###########################
#                         #
# TOTALITY by Cold Fusion #
#                         #
#    npcs.mcfunction      #
#                         #
#  Handles npc spawning   #
#  & deletion, dialogue   #
#  execution, and more!   #
#                         #
###########################

###########################
# Boss Dialogue Execution #
###########################

# Execute boss dialogue as Boss if the player is within a certain region
execute if entity @a[x=-5,y=77,z=-5,dx=25,dy=10,dz=25] run function t:dialogue

# ...but for the backstory & ending dialogues, continue even if the player is far away
execute if entity @s[scores={TALK_NUM=4..,TALK_TIME=1..19999}] unless entity @a[x=-5,y=77,z=-5,dx=25,dy=10,dz=25] run function t:dialogue

# Get grumpy & pause conversation if the player walks away
execute if entity @s[scores={BOSS_TALKING=1,TALK_NUM=..3,SPEEDRUN=0}] unless entity @a[x=-5,y=77,z=-5,dx=25,dy=10,dz=25] run tellraw @a {"text":"Where are you going? Information conveyance is not yet complete.","color":"yellow"}
execute if entity @s[scores={BOSS_TALKING=1,TALK_NUM=..3}] unless entity @a[x=-5,y=77,z=-5,dx=25,dy=10,dz=25] run scoreboard players set @s BOSS_TALKING 0

###################
# NPC Name Toggle #
###################

# Hide the name if the name is shown and there is no player in range
execute as @e[type=minecraft:armor_stand,tag=shown] at @s unless entity @a[distance=..10] run data merge entity @s {CustomNameVisible:0b}
execute as @e[type=minecraft:armor_stand,tag=shown] at @s unless entity @a[distance=..10] run tag @s remove shown

# Show the name if the name is not shown and there is a player in range
execute as @e[type=minecraft:armor_stand,tag=!shown] at @s unless entity @s[tag=hidename] if entity @a[distance=..10] run playsound minecraft:entity.enderman.ambient master @a ~ ~ ~ 0.5 1 0
execute as @e[type=minecraft:armor_stand,tag=!shown] at @s unless entity @s[tag=hidename] if entity @a[distance=..10] run data merge entity @s {CustomNameVisible:1b}
execute as @e[type=minecraft:armor_stand,tag=!shown] at @s unless entity @s[tag=hidename] if entity @a[distance=..10] run tag @s add shown

#########################
# NPC spawning/deletion #
#########################

# Spawn/delete npcs on the fly to reduce lag

# Movie theatre entity group
execute if entity @a[x=-38,y=69,z=-110,dx=40,dy=20,dz=40] unless entity @e[type=armor_stand,tag=theatre,x=-38,y=69,z=-110,dx=40,dy=20,dz=40] run tag @s add spawn1
execute if entity @s[tag=spawn1] run summon armor_stand -6 69 -89 {Tags:["theatre"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"TICKETS!!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn1] run summon armor_stand -12 69 -98 {Tags:["theatre"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"POPCORN!!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn1] run summon armor_stand -22 69 -93 {Tags:["theatre"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"SEATS!!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn1] run summon armor_stand -30 75 -90 {Tags:["theatre"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"JOB!!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn1] run summon armor_stand -10 75 -94 {Tags:["theatre"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[183f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"BACKSTAGE!!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[257f,0f,0f],RightArm:[315f,0f,0f]}}
execute if entity @s[tag=spawn1] run summon item_frame -6 71 -99 {Tags:["theatre"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:orange_concrete",Count:1b}}
execute if entity @s[tag=spawn1] run summon item_frame -6 71 -98 {Tags:["theatre"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:lime_concrete",Count:1b}}
execute if entity @s[tag=spawn1] run summon item_frame -6 71 -97 {Tags:["theatre"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:yellow_concrete",Count:1b}}
tag @s remove spawn1
execute unless entity @a[x=-38,y=69,z=-110,dx=40,dy=20,dz=40] if entity @e[type=armor_stand,tag=theatre,x=-38,y=69,z=-110,dx=40,dy=20,dz=40] run kill @e[tag=theatre]

# Sol Corp entity group
execute if entity @a[x=61,y=69,z=0,dx=60,dy=50,dz=120] unless entity @e[type=armor_stand,tag=solcorp,x=61,y=69,z=0,dx=60,dy=50,dz=120] run tag @s add spawn2
execute if entity @s[tag=spawn2] run summon armor_stand 105 69 47 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:8959}}},{id:"leather_leggings",Count:1b,tag:{display:{color:8959}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:8959}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Objection!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,32f,0f],Head:[344f,0f,0f],LeftLeg:[13f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[26f,0f,0f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 105 69 57 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:15859967}}},{id:"leather_leggings",Count:1b,tag:{display:{color:15859967}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:15859967}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I-Impossible!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],LeftLeg:[7f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[312f,0f,23f],RightArm:[312f,0f,338f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 111 72 52 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[95f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:6052956}}},{id:"leather_leggings",Count:1b,tag:{display:{color:6052956}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:6052956}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Hmmm . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],LeftLeg:[296f,0f,0f],RightLeg:[293f,0f,0f],LeftArm:[360f,0f,13f],RightArm:[360f,0f,351f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 107 70 52 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[95f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:566034}}},{id:"leather_leggings",Count:1b,tag:{display:{color:566034}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:566034}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Please, I'm just a humble cabbage merchant! Have mercy!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],LeftArm:[245f,0f,49f],RightArm:[193f,0f,315f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 100 69 55 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Give 'em the death penalty!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],LeftLeg:[357f,0f,347f],RightLeg:[7f,0f,13f],LeftArm:[245f,0f,49f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 102 69 49 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[272f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Down with the veggies!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[10f,0f,0f],RightArm:[251f,0f,0f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 79 69 16 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Aww man . . . this scanner is broken.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[10f,0f,0f],RightArm:[7f,0f,0f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 78 69 13 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[179f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I wonder what's behind this door . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[16f,0f,0f],RightLeg:[16f,0f,0f],LeftArm:[229f,0f,0f],RightArm:[225f,0f,0f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 91 79.5 50 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[178f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Ahhh! HELP!!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[347f,0f,0f],RightLeg:[26f,0f,0f],LeftArm:[229f,0f,0f],RightArm:[225f,0f,0f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 76 103 15 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Your work efficiency is down 33% . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 79 102.7 15 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[83f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"*gulp*\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 76 103 89 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[271f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Fired . . . fired . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[16f,4f,0f],LeftLeg:[280f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[302f,0f,26f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 80 88 74 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[271f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Work work work work work work\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[16f,4f,0f],LeftArm:[302f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 80 100 85 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[271f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Work work work work work work\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[16f,4f,0f],LeftArm:[302f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 80 97 22 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[271f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Work work work work work work\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[16f,4f,0f],LeftArm:[302f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 76 91 28 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[95f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Just keep looking busy . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[16f,4f,0f],LeftArm:[302f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 76 94 79 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[95f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Work work work work work work\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[16f,4f,0f],LeftArm:[302f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon armor_stand 80 69 52 {Tags:["solcorp"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"This elevator is for the CEO only.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn2] run summon item_frame 81 70 14 {Tags:["solcorp"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:iron_bars",Count:1b}}
execute if entity @s[tag=spawn2] run summon item_frame 81 70 91 {Tags:["solcorp"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:white_stained_glass_pane",Count:1b}}
tag @s remove spawn2
execute unless entity @a[x=61,y=69,z=0,dx=60,dy=50,dz=120] if entity @e[type=armor_stand,tag=solcorp,x=61,y=69,z=0,dx=60,dy=50,dz=120] run kill @e[tag=solcorp]

# Fungi Films Academy entity group
execute if entity @a[x=-112,y=81,z=-29,dx=70,dy=20,dz=80] unless entity @e[type=armor_stand,tag=academy,x=-112,y=81,z=-29,dx=70,dy=20,dz=80] run tag @s add spawn3
execute if entity @s[tag=spawn3] run summon armor_stand -102 81 -18 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Time for a pop quiz!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -82 81 13 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Blah blah blah . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],LeftLeg:[357f,0f,347f],RightLeg:[7f,0f,13f],LeftArm:[245f,0f,49f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -107 80.5 -9 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[0f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"SHOW, don't TELL.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -106 80.5 -6 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Can I go home now?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -108 80.5 -6 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"zZzZzZzZz\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -85 80.7 14 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"*yawn*\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -87 80.7 12 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"*sigh*\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -108 81 23 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Pumpkin NPCs are so last decade.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -107 81 -20 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Sol Cola contains how many calories?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[7f,4f,0f],LeftArm:[0f,0f,351f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -85 81 1 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"This school has so much drama.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[257f,0f,0f],RightArm:[315f,0f,0f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -66 81 6 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[269f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Ahead is the Fungi Films Academy, the best theatre school in town!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[13f,0f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[49f,299f,0f],RightArm:[52f,32f,0f]}}
execute if entity @s[tag=spawn3] run summon armor_stand -71 81 10 {Tags:["academy"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"It's also the ONLY theatre school in town.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn3] run summon item_frame -73 83 8 {Tags:["academy"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:red_mushroom",Count:1b}}
execute if entity @s[tag=spawn3] run summon item_frame -85 85 13 {Tags:["academy"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:glass",Count:1b}}
execute if entity @s[tag=spawn3] run summon item_frame -107 85 33 {Tags:["academy"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:glass",Count:1b}}
execute if entity @s[tag=spawn3] run summon item_frame -107 85 -17 {Tags:["academy"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:glass",Count:1b}}
tag @s remove spawn3
execute unless entity @a[x=-112,y=81,z=-29,dx=70,dy=20,dz=80] if entity @e[type=armor_stand,tag=academy,x=-112,y=81,z=-29,dx=70,dy=20,dz=80] run kill @e[tag=academy]

# Fungi Films Upper Studio entity group
execute if entity @a[x=-88,y=61,z=-72,dx=60,dy=30,dz=77] unless entity @e[type=armor_stand,tag=fungifilms,x=-88,y=61,z=-72,dx=60,dy=30,dz=80] run tag @s add spawn4
execute if entity @s[tag=spawn4] run summon armor_stand -43 72 -33 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Say, Joe . . . where'd our box of sweets go?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightArm:[283f,0f,0f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -43 72 -30 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{id:"cookie",Count:1b},{id:"pink_shulker_box",Count:1b}],CustomName:"{\"text\":\"I donut know!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightLeg:[16f,0f,0f],LeftArm:[45f,325f,0f],RightArm:[241f,341f,0f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -70 72 -64 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Bon appetit!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[7f,4f,0f],LeftArm:[0f,0f,351f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -52 72 -11 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Mon ami . . . Quick Hastings, to Scotland Yard!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[351f,4f,0f],LeftArm:[203f,0f,351f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -52 63 -62 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I'll get you, my pretty!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[351f,4f,0f],LeftArm:[0f,0f,232f],RightArm:[0f,0f,119f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -45 63 -20 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[271f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{id:"bow",Count:1b}],CustomName:"{\"text\":\"This is a stick up!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[351f,4f,0f],RightLeg:[13f,0f,0f],LeftArm:[290f,0f,232f],RightArm:[0f,0f,119f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -39 63 -19 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Eeek! Somebody help!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[347f,4f,0f],LeftLeg:[0f,0f,335f],RightLeg:[0f,0f,10f],LeftArm:[328f,0f,232f],RightArm:[341f,0f,119f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -39 63 -22 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[90f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Do you take debit?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,354f],RightLeg:[0f,0f,7f],LeftArm:[328f,16f,0f],RightArm:[274f,0f,200f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -47 64 -19 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[277f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"CUT! Where is the life, the GUSTO?! Take 10!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[347f,4f,0f],LeftLeg:[296f,0f,354f],RightLeg:[293f,0f,4f],LeftArm:[328f,16f,0f],RightArm:[274f,0f,200f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -75 73 -52 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Needs more explosions.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[347f,4f,0f],LeftLeg:[296f,0f,354f],RightLeg:[293f,0f,4f],LeftArm:[241f,49f,0f],RightArm:[155f,0f,200f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -54 64 -59 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"And . . . action!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[347f,4f,0f],LeftLeg:[296f,0f,354f],RightLeg:[293f,0f,4f],LeftArm:[29f,49f,0f],RightArm:[155f,0f,200f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -80 76 -54 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"You'll never catch me alive!!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[13f,4f,0f],LeftLeg:[45f,0f,354f],RightLeg:[36f,0f,4f],LeftArm:[274f,0f,7f],RightArm:[238f,0f,200f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -67 61 -36 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[268f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"A toaster, a tv, and a cell phone walked into a barcode . . . HA HA HA!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[322f,0f,0f],RightLeg:[13f,0f,0f],LeftArm:[212f,0f,122f],RightArm:[167f,0f,235f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -63 61 -36 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[88f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I hate this job.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],Head:[39f,0f,0f],LeftLeg:[360f,0f,0f]}}
execute if entity @s[tag=spawn4] run summon armor_stand -61 72 2 {Tags:["fungifilms"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[183f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"A professor at the academy has been receiving odd messages lately.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,347f,0f],RightLeg:[0f,10f,0f],LeftArm:[13f,251f,0f],RightArm:[26f,42f,0f]}}
execute if entity @s[tag=spawn4] run summon item_frame -42 77 -46 {Tags:["fungifilms"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:clock",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -42 77 -29 {Tags:["fungifilms"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:clock",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -66 61 -32 {Tags:["fungifilms"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -66 61 -34 {Tags:["fungifilms"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -63 61 -29 {Tags:["fungifilms"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -61 61 -29 {Tags:["fungifilms"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -39 65 -21 {Tags:["fungifilms"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:clock",Count:1b}}
execute if entity @s[tag=spawn4] run summon item_frame -84 65 -22 {Tags:["fungifilms"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:clock",Count:1b}}
tag @s remove spawn4
execute unless entity @a[x=-88,y=61,z=-72,dx=60,dy=30,dz=77] if entity @e[type=armor_stand,tag=fungifilms,x=-88,y=61,z=-72,dx=60,dy=30,dz=77] run kill @e[tag=fungifilms]

# Fungi Films Western Set entity group
execute if entity @a[x=-88,y=30,z=-72,dx=65,dy=30,dz=100] unless entity @e[type=armor_stand,tag=western,x=-88,y=30,z=-72,dx=65,dy=30,dz=100] run tag @s add spawn5
execute if entity @s[tag=spawn5] run summon armor_stand -61 39 -1 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Say, have you heard? Props have been going missing.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[277f,0f,0f]}}
execute if entity @s[tag=spawn5] run summon armor_stand -59 39 -5 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Let me know if you see anything suspicious.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,10f,0f],LeftLeg:[344f,0f,0f],RightLeg:[13f,0f,0f],LeftArm:[13f,251f,0f],RightArm:[26f,42f,0f]}}
execute if entity @s[tag=spawn5] run summon armor_stand -56 40 -45 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[87f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"29223056-10a2-4aa3-8531-02af0ed87907",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTI3ZmY2NzlhNWQzZDIxYzhjZGE3MmMwMTNhY2M0MjJmM2U2ODExNjJiYzRkODc0MjBjYTI0Njc3ZmJiNjIzNyJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Hey you! Out of the scene!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[286f,0f,354f],RightLeg:[286f,0f,4f],LeftArm:[328f,20f,13f],RightArm:[238f,36f,203f]}}
execute if entity @s[tag=spawn5] run summon armor_stand -61 39 -45 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"This town ain't big enough for the two of us.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn5] run summon armor_stand -61 39 -50 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Yer right! That's why I'm leavin'! Buh-bye!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn5] run summon armor_stand -54 40.5 -48 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[86f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\". . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[16f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn5] run summon armor_stand -28 39 6 {Tags:["western"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Another chair for the set...\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[290f,26f,0f],RightArm:[71f,161f,0f]}}
execute if entity @s[tag=spawn5] run summon item_frame -49 39 -62 {Tags:["western"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn5] run summon item_frame -47 39 -62 {Tags:["western"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn5] run summon item_frame -42 39 -63 {Tags:["western"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn5] run summon item_frame -42 39 -65 {Tags:["western"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn5] run summon item_frame -73 39 -23 {Tags:["western"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn5] run summon item_frame -73 39 -25 {Tags:["western"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:black_wool",Count:1b}}
tag @s remove spawn5
execute unless entity @a[x=-88,y=30,z=-72,dx=65,dy=30,dz=100] if entity @e[type=armor_stand,tag=western,x=-88,y=30,z=-72,dx=65,dy=30,dz=100] run kill @e[tag=western]

# The Underground City entity group
execute if entity @a[x=-64,y=0,z=-2,dx=120,dy=45,dz=135] unless entity @e[type=armor_stand,tag=underground,x=-64,y=0,z=-2,dx=120,dy=45,dz=135] run tag @s add spawn6
execute if entity @s[tag=spawn6] run summon armor_stand 5 16 45 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Can you spare a credit for a bot in need?!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[290f,26f,0f],RightArm:[71f,161f,0f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 8 16 105 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"We must rise up and fight the status quo!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[290f,26f,0f],RightArm:[71f,161f,0f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 3 15.5 47 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[178f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:9398591}}},{id:"leather_leggings",Count:1b,tag:{display:{color:9398591}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:9398591}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"7cb6e9a5-994f-40d5-9bfc-4ba5d796d21e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODkwOTFkNzllYTBmNTllZjdlZjk0ZDdiYmE2ZTVmMTdmMmY3ZDQ1NzJjNDRmOTBmNzZjNDgxOWE3MTQifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"*cough* *cough*\",\"color\":\"aqua\"}",CustomNameVisible:0b,Pose:{Head:[32f,0f,0f],LeftLeg:[283f,0f,0f],RightLeg:[283f,0f,0f],LeftArm:[319f,0f,7f],RightArm:[315f,0f,347f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -26 10.5 85 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[178f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:9398591}}},{id:"leather_leggings",Count:1b,tag:{display:{color:9398591}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:9398591}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"7cb6e9a5-994f-40d5-9bfc-4ba5d796d21e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODkwOTFkNzllYTBmNTllZjdlZjk0ZDdiYmE2ZTVmMTdmMmY3ZDQ1NzJjNDRmOTBmNzZjNDgxOWE3MTQifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Every day these towers sink deeper into the inferno.\",\"color\":\"aqua\"}",CustomNameVisible:0b,Pose:{Head:[32f,0f,0f],LeftLeg:[283f,0f,0f],RightLeg:[283f,0f,0f],LeftArm:[319f,0f,7f],RightArm:[315f,0f,347f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 3 25.5 10 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:9398591}}},{id:"leather_leggings",Count:1b,tag:{display:{color:9398591}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:9398591}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"7cb6e9a5-994f-40d5-9bfc-4ba5d796d21e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODkwOTFkNzllYTBmNTllZjdlZjk0ZDdiYmE2ZTVmMTdmMmY3ZDQ1NzJjNDRmOTBmNzZjNDgxOWE3MTQifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Please . . . save us . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,Pose:{Head:[32f,0f,0f],LeftLeg:[283f,0f,0f],RightLeg:[283f,0f,0f],LeftArm:[319f,0f,7f],RightArm:[315f,0f,347f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 37 9.5 40 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:9398591}}},{id:"leather_leggings",Count:1b,tag:{display:{color:9398591}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:9398591}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"7cb6e9a5-994f-40d5-9bfc-4ba5d796d21e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODkwOTFkNzllYTBmNTllZjdlZjk0ZDdiYmE2ZTVmMTdmMmY3ZDQ1NzJjNDRmOTBmNzZjNDgxOWE3MTQifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"What will happen . . . after I die?\",\"color\":\"aqua\"}",CustomNameVisible:0b,Pose:{Head:[32f,0f,0f],LeftLeg:[283f,0f,0f],RightLeg:[283f,0f,0f],LeftArm:[319f,0f,7f],RightArm:[315f,0f,347f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -32 31 11 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[272f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Welcome to the Underground, home to us indie filmmakers.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 8 15 95 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[0f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Sol Corp took everything from us. They will pay!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 3 15 100 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[0f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"We must overthrow their rule!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 13 15 101 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[0f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Today, we fight for justice!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -42 24 44 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[0f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"We must fight Fungi Films' escapist propaganda!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand 7 11 1 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[0f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Hope is all we can hold onto.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -12 15 37 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Our energy reserves are almost empty.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -9 15 37 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Don't worry . . . we'll make it, somehow.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[10f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -28 19 14 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Filmmaking is all I have left.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[257f,0f,0f],RightArm:[315f,0f,0f]}}
execute if entity @s[tag=spawn6] run summon armor_stand -45 11 43 {Tags:["underground"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10249242}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10249242}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:10249242}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Life is an empty abyss when you're the last one left.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[257f,0f,0f],RightArm:[315f,0f,0f]}}
execute if entity @s[tag=spawn6] run summon item_frame -34 31 8 {Tags:["western"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:black_wool",Count:1b}}
execute if entity @s[tag=spawn6] run summon item_frame -34 31 10 {Tags:["western"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:black_wool",Count:1b}}
tag @s remove spawn6
execute unless entity @a[x=-64,y=0,z=-2,dx=120,dy=45,dz=135] if entity @e[type=armor_stand,tag=underground,x=-64,y=0,z=-2,dx=120,dy=45,dz=135] run kill @e[tag=underground]

# Lunatic Cathedral entity group
execute if entity @a[x=-90,y=60,z=10,dx=105,dy=100,dz=120] unless entity @e[type=armor_stand,tag=cathedral,x=-90,y=60,z=10,dx=105,dy=100,dz=120] unless entity @e[type=armor_stand,tag=intro] run tag @s add spawn7
execute if entity @s[tag=spawn7] run summon armor_stand -39 69 54 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[269f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"We've been trying to breach this cathedral for years.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,347f,0f],LeftLeg:[13f,0f,0f],RightArm:[277f,0f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -44 69 52 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[91f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"There must be another way inside.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[13f,0f,0f],RightLeg:[20f,0f,0f],RightArm:[261f,325f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -23 76 36 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[268f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Ahead is the home base of the Lunatics.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{RightLeg:[10f,0f,0f],LeftArm:[0f,55f,0f],RightArm:[0f,325f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -40 66 85 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[268f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"No, no, I insist. You first.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[23f,0f,0f],LeftLeg:[32f,0f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -38 66 85 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[91f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Hahaha . . . you go first!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[23f,0f,0f],LeftLeg:[32f,0f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -39 66 92 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[269f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I would investigate this library, but I'm scared of books.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[13f,0f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[49f,299f,0f],RightArm:[52f,32f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -34 69 45 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[269f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"The Lunatics believe in the destruction of all robots.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[13f,0f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[49f,299f,0f],RightArm:[52f,32f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -8 66 73 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Please use your pathfinding algorithms to reach your destination.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,10f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[261f,0f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -50 66 90 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Oh no! Our museum exhibit is empty!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -51 66 99 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Watch yourself, kid. This is the Block Market.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -55 66 87 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"We need ancient human artifacts for our display cases.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -65 66 89 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"[Bonus Quest] Bring us all 12 artifacts and we'll give you something special!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -8 63 121 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[143f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Building suspicion level: <<error: integer overflow>>\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightLeg:[26f,0f,0f],LeftArm:[16f,0f,0f],RightArm:[23f,0f,0f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -46 66 118 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Get your illegal cake here!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn7] run summon armor_stand -78 69 87 {Tags:["cathedral"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"The Block Market is the best place to sell shady goods.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn7] run summon item_frame -4 68 83 {Tags:["cathedral"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:barrier",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame -16 76 84 {Tags:["cathedral"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame -16 76 82 {Tags:["cathedral"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame 0 76 84 {Tags:["cathedral"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame 0 76 82 {Tags:["cathedral"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame -56 71 26 {Tags:["cathedral"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:cod",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame 2 63 75 {Tags:["cathedral"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:heavy_weighted_pressure_plate",Count:1b}}
execute if entity @s[tag=spawn7] run summon item_frame 3 63 79 {Tags:["cathedral"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:heavy_weighted_pressure_plate",Count:1b}}
execute if entity @s[tag=spawn7] run summon armor_stand -59 65.5 79 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -61 65.5 79 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -63 65.5 79 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -59 65.5 97 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -61 65.5 97 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -63 65.5 97 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -66 65.5 94 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -66 65.5 92 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -66 65.5 90 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -66 65.5 86 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -66 65.5 84 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
execute if entity @s[tag=spawn7] run summon armor_stand -66 65.5 82 {Tags:["cathedral","hidename"],NoGravity:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:white_stained_glass",Count:1b}]}
tag @s remove spawn7
execute unless entity @a[x=-90,y=60,z=10,dx=105,dy=100,dz=120] if entity @e[type=armor_stand,tag=cathedral,x=-90,y=60,z=10,dx=105,dy=100,dz=120] run kill @e[tag=cathedral]

# Sol Corp Mines entity group
execute if entity @a[x=12,y=56,z=65,dx=55,dy=100,dz=70] unless entity @e[type=armor_stand,tag=mines,x=12,y=56,z=65,dx=55,dy=100,dz=70] unless entity @e[type=armor_stand,tag=intro] run tag @s add spawn8
execute if entity @s[tag=spawn8] run summon armor_stand 41 63 82 {Tags:["mines"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Mining bots, please consult your quarry query for power outage protocols.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,10f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[261f,0f,0f]}}
execute if entity @s[tag=spawn8] run summon armor_stand 47 56 105 {Tags:["mines"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Emergency! Emergency! [[This is not a drill!]]\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,10f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[261f,0f,0f]}}
execute if entity @s[tag=spawn8] run summon armor_stand 38 56 125 {Tags:["mines"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Mining is such a boring job.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn8] run summon item_frame 24 65 89 {Tags:["mines"],Invulnerable:1b,Facing:2b,ItemRotation:2b,Item:{id:"minecraft:anvil",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 24 65 99 {Tags:["mines"],Invulnerable:1b,Facing:2b,ItemRotation:2b,Item:{id:"minecraft:anvil",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 23 65 99 {Tags:["mines"],Invulnerable:1b,Facing:2b,ItemRotation:2b,Item:{id:"minecraft:anvil",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 21 64 95 {Tags:["mines"],Invulnerable:1b,Facing:5b,ItemRotation:2b,Item:{id:"minecraft:anvil",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 21 64 94 {Tags:["mines"],Invulnerable:1b,Facing:5b,ItemRotation:2b,Item:{id:"minecraft:anvil",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 21 64 93 {Tags:["mines"],Invulnerable:1b,Facing:5b,ItemRotation:2b,Item:{id:"minecraft:anvil",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 20 65 83 {Tags:["mines"],Invulnerable:1b,Facing:5b,ItemRotation:4b,Item:{id:"minecraft:daylight_sensor",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 17 72 70 {Tags:["mines"],Invulnerable:1b,Facing:4b,ItemRotation:4b,Item:{id:"minecraft:piston",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 16 64 108 {Tags:["mines"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:white_glass_pane",Count:1b}}
execute if entity @s[tag=spawn8] run summon item_frame 19 64 108 {Tags:["mines"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:white_glass_pane",Count:1b}}
tag @s remove spawn8
execute unless entity @a[x=12,y=56,z=65,dx=55,dy=100,dz=70] if entity @e[type=armor_stand,tag=mines,x=12,y=56,z=65,dx=55,dy=100,dz=70] run kill @e[tag=mines]

# Center entity group
execute if entity @a[x=-45,y=65,z=-90,dx=115,dy=100,dz=180] unless entity @e[type=armor_stand,tag=center,x=-45,y=65,z=-90,dx=115,dy=100,dz=180] unless entity @e[type=armor_stand,tag=intro] run tag @s add spawn9
execute if entity @s[tag=spawn9] run summon armor_stand 15 78 60 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I'm gonna win this year! Just you wait!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 1 78 60 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I've won the cactus growing contest 142 years in a row!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 37 76 39 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[143f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"This way to Sol Corp. Do you have your ID?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightLeg:[26f,0f,0f],LeftArm:[16f,0f,0f],RightArm:[23f,0f,0f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 37 76 -23 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[45f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Ahead of you is the ARK, an arboretum built centuries ago.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightLeg:[26f,0f,0f],LeftArm:[16f,0f,0f],RightArm:[23f,0f,0f]}}
execute if entity @s[tag=spawn9] run summon armor_stand -23 76 -21 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[327f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Beware! Bad puns lurk in the shadows in the Fungi Film Studio.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightLeg:[26f,0f,0f],LeftArm:[16f,0f,0f],RightArm:[23f,0f,0f]}}
execute if entity @s[tag=spawn9] run summon armor_stand -21 76 -39 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I've heard the studio's director is a pretty FUN GUY.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],LeftLeg:[344f,0f,0f],RightArm:[283f,0f,0f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 6 76 -32 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Welcome to Swanky Heights. Come to do some shopping?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,7f,0f],LeftLeg:[13f,0f,0f],LeftArm:[274f,0f,0f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 9 73 -45 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Come and buy the new taterPad(R) 19!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[0f,0f,347f],RightLeg:[0f,0f,13f],LeftArm:[190f,0f,26f],RightArm:[190f,0f,335f]}}
execute if entity @s[tag=spawn9] run summon armor_stand -21 69 -67 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"These kinds of places are right up my alley.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 30 73 -37 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"If you're rolling poorly, try blowing on your dice. It helps, I swear!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 33 73 -37 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[90f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"You rolled a nat 1 on persuasion.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,354f],RightLeg:[0f,0f,7f],LeftArm:[328f,16f,148f],RightArm:[158f,0f,200f]}}
execute if entity @s[tag=spawn9] run summon armor_stand 4 73 -49 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Didn't they just release the taterPad 18 yesterday?!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[257f,0f,0f],RightArm:[315f,0f,0f]}}
execute if entity @s[tag=spawn9] run summon armor_stand -13 73.8 -44 {Tags:["center"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[270f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I see all!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[274f,0f,347f],RightLeg:[274f,0f,13f],LeftArm:[351f,0f,65f],RightArm:[277f,280f,13f]}}
execute if entity @s[tag=spawn9] run summon item_frame 27 81 25 {Tags:["center"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:yellow_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame 25 81 27 {Tags:["center"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:yellow_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame -9 81 27 {Tags:["center"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:magenta_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame -11 81 25 {Tags:["center"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:magenta_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame -11 81 -9 {Tags:["center"],Invulnerable:1b,Facing:5b,Item:{id:"minecraft:orange_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame -9 81 -11 {Tags:["center"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:orange_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame 25 81 -11 {Tags:["center"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:lime_wool",Count:1b}}
execute if entity @s[tag=spawn9] run summon item_frame 27 81 -9 {Tags:["center"],Invulnerable:1b,Facing:4b,Item:{id:"minecraft:lime_wool",Count:1b}}
tag @s remove spawn9
execute unless entity @a[x=-45,y=65,z=-90,dx=115,dy=100,dz=180] if entity @e[type=armor_stand,tag=center,x=-45,y=65,z=-90,dx=115,dy=100,dz=180] run kill @e[tag=center]

# Arboretum entity group
execute if entity @a[x=45,y=40,z=-75,dx=90,dy=45,dz=105] unless entity @e[type=armor_stand,tag=arbor,x=45,y=40,z=-75,dx=90,dy=45,dz=105] unless entity @e[type=armor_stand,tag=intro] run tag @s add spawn10
execute if entity @s[tag=spawn10] run summon armor_stand 61 81 -39 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[87f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Area QUARANTINED due to infestation.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[0f,0f,309f],RightArm:[0f,0f,36f]}}
execute if entity @s[tag=spawn10] run summon armor_stand 57 81 -23 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[181f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Don't even think about entering the back door!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,10f,0f],LeftLeg:[7f,0f,0f],RightLeg:[347f,0f,0f],LeftArm:[261f,0f,0f]}}
execute if entity @s[tag=spawn10] run summon armor_stand 54 81 -59 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"I should bring my dog here more often!\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[257f,0f,0f],RightArm:[315f,0f,0f]}}
execute if entity @s[tag=spawn10] run summon armor_stand 115 81 -14 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e8297346-5aca-4ae8-b2a3-e341b6d0921f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNWFmYTU4NjMxNjA5NzkxZmZlMjVmM2E4NzlkZmJmZmVhMTE1MWY4N2JmZjYyYzU0MjNlZDYxMzZlZTAifX19"}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"zZzZzZzZz . . .\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,4f,0f],Head:[52f,0f,0f],LeftLeg:[7f,0f,0f]}}
execute if entity @s[tag=spawn10] run summon armor_stand 100 81 3 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[274f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"This pool of water seems like a serious safety hazard.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[4f,0f,0f],Head:[0f,4f,0f],LeftLeg:[357f,0f,0f],RightLeg:[10f,0f,0f],LeftArm:[264f,0f,0f],RightArm:[0f,0f,13f]}}
execute if entity @s[tag=spawn10] run summon armor_stand 91 52 -59 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"e822959d-922c-432c-9108-e8554b741f4b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzk3MjhmNzc2MzZlYWU5MjdlMTE4MDc2ZTA5N2I3OWNlNWQ4OTdlZWNlOTRhMWU0YTEyMjcyNzNiMDJmMWNiZiJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\". . . all I can find are cliche spider caves.\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[0f,7f,0f],Head:[0f,0f,4f],LeftLeg:[347f,0f,0f],RightLeg:[4f,0f,0f],LeftArm:[0f,0f,312f],RightArm:[0f,0f,36f]}}
execute if entity @s[tag=spawn10] run summon armor_stand 86 44 -24 {Tags:["arbor"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{id:"iron_boots",Count:1b},{id:"iron_leggings",Count:1b},{id:"iron_chestplate",Count:1b},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"b3bb983b-23d1-4e6e-b276-b2f83663c6d9",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTQzNzllYTNlODFkOWQzYjk5Yzk5YmMzNzIyMzRkMmJhYjQ5MzFlNzU4NGVkMzc5N2M0ZWE4OGU3ZGQ4NmExNSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Spiders. Why'd it have to be spiders?\",\"color\":\"aqua\"}",CustomNameVisible:0b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[0f,4f,0f],LeftLeg:[0f,0f,351f],RightLeg:[0f,0f,7f],LeftArm:[29f,0f,0f],RightArm:[209f,32f,203f]}}
execute if entity @s[tag=spawn10] run summon item_frame 51 82 -48 {Tags:["arbor"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:bone",Count:1b}}
execute if entity @s[tag=spawn10] run summon item_frame 58 76 -92 {Tags:["arbor"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn10] run summon item_frame 60 76 -92 {Tags:["arbor"],Invulnerable:1b,Facing:2b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn10] run summon item_frame 58 76 -64 {Tags:["arbor"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:sea_lantern",Count:1b}}
execute if entity @s[tag=spawn10] run summon item_frame 60 76 -64 {Tags:["arbor"],Invulnerable:1b,Facing:3b,Item:{id:"minecraft:sea_lantern",Count:1b}}
tag @s remove spawn10
execute unless entity @a[x=45,y=40,z=-75,dx=90,dy=45,dz=105] if entity @e[type=armor_stand,tag=arbor,x=45,y=40,z=-75,dx=90,dy=45,dz=105] run kill @e[tag=arbor]

########
# Seer #
########

# Direct the player toward the tent
execute if entity @a[x=-14,y=73,z=-47,dx=18,dy=10,dz=6] if entity @s[scores={SEER_TALK=0}] run tellraw @a {"text":"<???> Psst! Hey you! Come this way, to the pointy tent ...","color":"aqua"}
execute if entity @a[x=-14,y=73,z=-47,dx=18,dy=10,dz=6] if entity @s[scores={SEER_TALK=0}] run scoreboard players set @s SEER_TALK 1

# Greet the player when they enter the tent, but only if the seer isn't already talking
execute if entity @a[x=-13,y=73,z=-45,dx=5,dy=3,dz=2] if entity @s[scores={SEER_TALK=1,HELP=0}] run tellraw @a [{"text":"<Seer> I foresaw your arrival. I am a seer of things lost and found. I can help you find that which you seek, for a price. ","color":"aqua"}]
execute if entity @a[x=-13,y=73,z=-45,dx=5,dy=3,dz=2] if entity @s[scores={SEER_TALK=1,HELP=0}] run tellraw @a [{"text":"Open the chat and click here to reveal your future ...","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 13"}}]
execute if entity @a[x=-13,y=73,z=-45,dx=5,dy=3,dz=2] if entity @s[scores={SEER_TALK=1}] run scoreboard players set @s SEER_TALK 2

# Say goodbye when the player leaves, but only if the seer isn't already talking
execute unless entity @a[x=-13,y=73,z=-45,dx=5,dy=3,dz=2] if entity @s[scores={SEER_TALK=2,HELP=0}] run tellraw @a {"text":"<Seer> See you later ...","color":"aqua"}
execute unless entity @a[x=-13,y=73,z=-45,dx=5,dy=3,dz=2] if entity @s[scores={SEER_TALK=2}] run scoreboard players set @s SEER_TALK 1

# Display hint menu
execute if entity @s[scores={HELP=1}] run tellraw @a [{"text":"\n<Seer> What is it that you seek?\n\n","color":"aqua"},{"text":"A power source (3 credits)\n\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 14"}},{"text":"A legendary item (2 credits)\n\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 7"}},{"text":"A human artifact (1 credit)\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 8"}}]
execute if entity @s[scores={HELP=1}] run scoreboard players set @s HELP 0

# Display power source hint submenu
execute if entity @s[scores={HELP=2}] run tellraw @a [{"text":"\n<Seer> Which source are you after?\n\n","color":"aqua"},{"text":"The yellow source (Sol Corp)\n\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 9"}},{"text":"The magenta source (Lunatic Cathedral)\n\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 10"}},{"text":"The orange source (Fungi Films)\n\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 11"}},{"text":"The lime source (Ark Arboretum)\n\n","color":"aqua","underlined":"true","clickEvent":{"action":"run_command","value":"/trigger PURCHASE_ITEM set 12"}}]
execute if entity @s[scores={HELP=2}] run scoreboard players set @s HELP 0

# If the player has enough credits, give them a hint
execute if entity @s[scores={HELP=3..8}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3..8,HELP_TIME=1}] run tellraw @a {"text":"\n<Seer> Very well.","color":"aqua"}
execute if entity @s[scores={HELP=3..8,HELP_TIME=60}] run tellraw @a {"text":"<Seer> Let's take a look on Tater Maps ...","color":"aqua"}
execute if entity @s[scores={HELP=3..8,HELP_TIME=120}] run tellraw @a {"text":"<Seer> ... er, I mean, in my crystal ball!","color":"aqua"}
execute if entity @s[scores={HELP=3..8,HELP_TIME=200}] at @a run playsound minecraft:item.trident.thunder master @a ~ ~ ~ 1 1 1
execute if entity @s[scores={HELP=3..8,HELP_TIME=200}] run particle minecraft:totem_of_undying -11 75 -44 1 1 1 0 30 force
execute if entity @s[scores={HELP=3..8,HELP_TIME=240}] run tellraw @a {"text":"<Seer> Aha! The mystical fog has lifted!","color":"aqua"}
# Legendary item hints
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_GLASS_GET=1}] run tellraw @a {"text":"<Seer> I see the holoblock ... wait, how'd you get here without that?! Cheater!","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_GLASS_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_AXE_GET=1}] run tellraw @a {"text":"<Seer> I see an axe inside a film school, hidden behind a giant mushroom.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_AXE_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_DOG_GET=1}] run tellraw @a {"text":"<Seer> I see a furry companion, taken to the dog park next to the arboretum.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_DOG_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_FIRE_GET=1}] run tellraw @a {"text":"<Seer> I see a firestarter atop a tower, near the wreckage of your rocket.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_FIRE_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_BOOTS_GET=1}] run tellraw @a {"text":"<Seer> I see a pair of boots, resting on a platform hanging above some film sets.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_BOOTS_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SHEARS_GET=1}] run tellraw @a {"text":"<Seer> I see some shears, hidden amongst the trees in the arboretum.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SHEARS_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SHOVEL_GET=1}] run tellraw @a {"text":"<Seer> I see a gavel hidden behind a judge's chair in Sol Corp.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SHOVEL_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SWORD_GET=1}] run tellraw @a {"text":"<Seer> I see an ancient blade, hidden within the catacombs beneath the cathedral.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SWORD_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SHIELD_GET=1}] run tellraw @a {"text":"<Seer> I see a shield, behind the clock in a wild west set.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_SHIELD_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_CHEST_GET=1}] run tellraw @a {"text":"<Seer> I see a chestplate resting on top of a gigantic spider.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_CHEST_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_LEGGINGS_GET=1}] run tellraw @a {"text":"<Seer> I see some leggings above the CEO's office in Sol Corp.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_LEGGINGS_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_PICK_GET=1}] run tellraw @a {"text":"<Seer> I see an ancient pickaxe, waiting within the cathedral.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_PICK_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_WATER_GET=1}] run tellraw @a {"text":"<Seer> I see a bucket within a skyscraper sinking into a sea of lava.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_WATER_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_BOW_GET=1}] run tellraw @a {"text":"<Seer> I see a laser-powered bow, hidden within a mechanical honeycomb.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_BOW_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_TRIDENT_GET=1}] run tellraw @a {"text":"<Seer> I see a throwing stick, near a war plotting table underneath Sol Corp.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_TRIDENT_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_HELMET_GET=1}] run tellraw @a {"text":"<Seer> I see a helmet, waiting at the peak of a digital mountain.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] unless entity @a[scores={C_HELMET_GET=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=3,HELP_TIME=320}] run tellraw @a {"text":"<Seer> It appears you've found every legendary item in the city! Here is a refund.","color":"aqua"}
execute if entity @s[scores={HELP=3,HELP_TIME=320}] run give @p sunflower{HideFlags:1,display:{Name:"{\"text\":\"§6Sol Credit\"}",Lore:["{\"text\":\"§7A universal currency accepted by all shops\"}"]},Enchantments:[{id:"minecraft:fortune",lvl:1}]} 2
# Artifact hints
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -17 67 83 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:sugar"}]} run tellraw @a {"text":"<Seer> I see some sugar, in a police station next to the museum.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -17 67 83 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:sugar"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -87 69 88 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:book"}]} run tellraw @a {"text":"<Seer> I see a strange item for sale in the Block Market behind the museum.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -87 69 88 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:book"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 26 67 99 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:potato"}]} run tellraw @a {"text":"<Seer> I see a potato inside a yoga studio, not far from the Sol Corp mines.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 26 67 99 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:potato"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 62 75 -39 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:blaze_rod"}]} run tellraw @a {"text":"<Seer> I see a vehicle hidden within the train tunnel near Sol Corp.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 62 75 -39 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:blaze_rod"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 94 69 79 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:wooden_shovel"}]} run tellraw @a {"text":"<Seer> I see a spoon, hidden underground near Sol Corp HQ. X marks the spot.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 94 69 79 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:wooden_shovel"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 80 103 91 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:gold_nugget"}]} run tellraw @a {"text":"<Seer> I see some money, waiting at the top of the Sol Corp sales department.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 80 103 91 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:gold_nugget"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 127 83 8 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:clock"}]} run tellraw @a {"text":"<Seer> I see a time machine, hidden somewhere in the Sol Corp city park.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 127 83 8 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:clock"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 36 73 -40 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:stone_button"}]} run tellraw @a {"text":"<Seer> I see a button, within some kind of games store. In fact, it's very close to here.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block 36 73 -40 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:stone_button"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -31 75 -91 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:oak_door"}]} run tellraw @a {"text":"<Seer> I see a slab hidden upstairs in a movie theatre nearby.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -31 75 -91 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:oak_door"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -67 72 -65 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:hopper"}]} run tellraw @a {"text":"<Seer> I see a funnel being used as a prop in a cooking show in Fungi Films.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -67 72 -65 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:hopper"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -57 69 12 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:glass_bottle"}]} run tellraw @a {"text":"<Seer> I see a plastic bottle, thrown into an aquarium near the cathedral.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -57 69 12 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:glass_bottle"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -109 84 28 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:music_disc_11"}]} run tellraw @a {"text":"<Seer> I see an ancient tome resting atop a shelf in a film academy.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] if block -109 84 28 pink_shulker_box{Items:[{Slot:13b,Count:1b,id:"minecraft:music_disc_11"}]} run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=4,HELP_TIME=320}] run tellraw @a {"text":"<Seer> It appears you've found every artifact in the city! Here is a refund.","color":"aqua"}
execute if entity @s[scores={HELP=4,HELP_TIME=320}] run give @p sunflower{HideFlags:1,display:{Name:"{\"text\":\"§6Sol Credit\"}",Lore:["{\"text\":\"§7A universal currency accepted by all shops\"}"]},Enchantments:[{id:"minecraft:fortune",lvl:1}]} 1
# Power source hints
# Yellow source
execute if entity @s[scores={HELP=5,HELP_TIME=320,YELLOW_COLLECT=1}] run tellraw @a {"text":"<Seer> Umm ... you've already collected that source. Here is a refund.","color":"aqua"}
execute if entity @s[scores={HELP=5,HELP_TIME=320,YELLOW_COLLECT=1}] run give @p sunflower{HideFlags:1,display:{Name:"{\"text\":\"§6Sol Credit\"}",Lore:["{\"text\":\"§7A universal currency accepted by all shops\"}"]},Enchantments:[{id:"minecraft:fortune",lvl:1}]} 3
execute if entity @s[scores={HELP=5,HELP_TIME=320,YELLOW_COLLECT=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=5,HELP_TIME=320,YELLOW_PROG=1}] run tellraw @a {"text":"<Seer> I see a massive rocket within an ancient silo. Break through the window, and the source will be yours!","color":"aqua"}
execute if entity @s[scores={HELP=5,HELP_TIME=320,YELLOW_PROG=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=5,HELP_TIME=320}] run tellraw @a {"text":"<Seer> I see an ancient keycard found in the CEO's office ... it opens a door on the ground floor of Sol Corp!","color":"aqua"}
# Magenta source
execute if entity @s[scores={HELP=6,HELP_TIME=320,MAGENTA_COLLECT=1}] run tellraw @a {"text":"<Seer> Umm ... you've already collected that source. Here is a refund.","color":"aqua"}
execute if entity @s[scores={HELP=6,HELP_TIME=320,MAGENTA_COLLECT=1}] run give @p sunflower{HideFlags:1,display:{Name:"{\"text\":\"§6Sol Credit\"}",Lore:["{\"text\":\"§7A universal currency accepted by all shops\"}"]},Enchantments:[{id:"minecraft:fortune",lvl:1}]} 3
execute if entity @s[scores={HELP=6,HELP_TIME=320,MAGENTA_COLLECT=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=6,HELP_TIME=320,MAGENTA_PROG=1}] run tellraw @a {"text":"<Seer> I see a special VR helmet within the cathedral's bell. Put it on, and the source shall be within your reach!","color":"aqua"}
execute if entity @s[scores={HELP=6,HELP_TIME=320,MAGENTA_PROG=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=6,HELP_TIME=320}] run tellraw @a {"text":"<Seer> I see a downstairs library in an empty museum ... the secret lies behind the bookshelves!","color":"aqua"}
# Orange source
execute if entity @s[scores={HELP=7,HELP_TIME=320,ORANGE_COLLECT=1}] run tellraw @a {"text":"<Seer> Umm ... you've already collected that source. Here is a refund.","color":"aqua"}
execute if entity @s[scores={HELP=7,HELP_TIME=320,ORANGE_COLLECT=1}] run give @p sunflower{HideFlags:1,display:{Name:"{\"text\":\"§6Sol Credit\"}",Lore:["{\"text\":\"§7A universal currency accepted by all shops\"}"]},Enchantments:[{id:"minecraft:fortune",lvl:1}]} 3
execute if entity @s[scores={HELP=7,HELP_TIME=320,ORANGE_COLLECT=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=7,HELP_TIME=320,ORANGE_PROG=1}] run tellraw @a {"text":"<Seer> I see shreds of paper scattered around the film academy ... read all 5 and the path forward shall be revealed!","color":"aqua"}
execute if entity @s[scores={HELP=7,HELP_TIME=320,ORANGE_PROG=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=7,HELP_TIME=320}] run tellraw @a {"text":"<Seer> I see a spiral staircase leading deep underground, to the Fungi Films wild west set!","color":"aqua"}
# Lime source
execute if entity @s[scores={HELP=8,HELP_TIME=320,LIME_COLLECT=1}] run tellraw @a {"text":"<Seer> Umm ... you've already collected that source. Here is a refund.","color":"aqua"}
execute if entity @s[scores={HELP=8,HELP_TIME=320,LIME_COLLECT=1}] run give @p sunflower{HideFlags:1,display:{Name:"{\"text\":\"§6Sol Credit\"}",Lore:["{\"text\":\"§7A universal currency accepted by all shops\"}"]},Enchantments:[{id:"minecraft:fortune",lvl:1}]} 3
execute if entity @s[scores={HELP=8,HELP_TIME=320,LIME_COLLECT=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=8,HELP_TIME=320,LIME_PROG=1}] run tellraw @a {"text":"<Seer> I see an ancient facility deep underground ... and a gap in the glass air vent that you can slip through.","color":"aqua"}
execute if entity @s[scores={HELP=8,HELP_TIME=320,LIME_PROG=1}] run scoreboard players add @s HELP_TIME 1
execute if entity @s[scores={HELP=8,HELP_TIME=320}] run tellraw @a {"text":"<Seer> I see a cavern underneath the arboretum ... but to get there, you may have to go for a swim!","color":"aqua"}
# Spit out a little more dialogue after the hint
execute if entity @s[scores={HELP=3..8,HELP_TIME=420}] run tellraw @a {"text":"<Seer> That is all I see for now ... good luck, spendthrift one!","color":"aqua"}
execute if entity @s[scores={HELP=3..8,HELP_TIME=420}] run scoreboard players set @s HELP 0
execute if entity @s[scores={HELP=0,HELP_TIME=420}] run scoreboard players set @s HELP_TIME 0

##########
# Museum #
##########

# If an artifact is detected, place it in its display case

# Potato
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:potato"}]}] run summon minecraft:item -59 67 97 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:potato",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:potato"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:potato"}]}] run summon firework_rocket -59 67 97 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:potato"}]}] run clear @a potato

# Arcane Object
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:book"}]}] run summon minecraft:item -61 67 97 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:book",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:book"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:book"}]}] run summon firework_rocket -61 67 97 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:book"}]}] run clear @a book

# Ancient "Book"
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:music_disc_11"}]}] run summon minecraft:item -63 67 97 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:music_disc_11",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:music_disc_11"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:music_disc_11"}]}] run summon firework_rocket -63 67 97 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:music_disc_11"}]}] run clear @a music_disc_11

# Giant Spoon
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:wooden_shovel"}]}] run summon minecraft:item -66 67 94 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:wooden_shovel",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:wooden_shovel"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:wooden_shovel"}]}] run summon firework_rocket -66 67 94 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:wooden_shovel"}]}] run clear @a wooden_shovel

# Hinged Wooden Slab
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:oak_door"}]}] run summon minecraft:item -66 67 92 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:oak_door",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:oak_door"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:oak_door"}]}] run summon firework_rocket -66 67 92 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:oak_door"}]}] run clear @a oak_door

# Time Machine
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:clock"}]}] run summon minecraft:item -66 67 90 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:clock",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:clock"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:clock"}]}] run summon firework_rocket -66 67 90 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:clock"}]}] run clear @a clock

# Funnel
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:hopper"}]}] run summon minecraft:item -66 67 86 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:hopper",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:hopper"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:hopper"}]}] run summon firework_rocket -66 67 86 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:hopper"}]}] run clear @a hopper

# Money
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:gold_nugget"}]}] run summon minecraft:item -66 67 84 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:gold_nugget",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:gold_nugget"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:gold_nugget"}]}] run summon firework_rocket -66 67 84 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:gold_nugget"}]}] run clear @a gold_nugget

# Sugar
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:sugar"}]}] run summon minecraft:item -66 67 82 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:sugar",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:sugar"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:sugar"}]}] run summon firework_rocket -66 67 82 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:sugar"}]}] run clear @a sugar

# Ancient Button
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:stone_button"}]}] run summon minecraft:item -63 67 79 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:stone_button",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:stone_button"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:stone_button"}]}] run summon firework_rocket -63 67 79 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:stone_button"}]}] run clear @a stone_button

# Hot Rod
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:blaze_rod"}]}] run summon minecraft:item -61 67 79 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:blaze_rod",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:blaze_rod"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:blaze_rod"}]}] run summon firework_rocket -61 67 79 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:blaze_rod"}]}] run clear @a blaze_rod

# Plastic Bottle
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:glass_bottle"}]}] run summon minecraft:item -59 67 79 {NoGravity:1b,Glowing:1b,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:glass_bottle",Count:1b}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:glass_bottle"}]}] run scoreboard players add @s C_ARTIFACT 1
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:glass_bottle"}]}] run summon firework_rocket -59 67 79 {FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:2,Colors:[I;2555903]}]}}}}
execute if entity @a[x=-67,y=66,z=79,dx=8,dy=2,dz=21,nbt={Inventory:[{id:"minecraft:glass_bottle"}]}] run clear @a glass_bottle

# No destroying the blaze rod!
execute as @a[nbt={Inventory:[{id:"minecraft:blaze_powder"}]}] run tellraw @s {"text":"Don't destroy a perfectly good artifact!","color":"gold"}
execute as @a[nbt={Inventory:[{id:"minecraft:blaze_powder"}]}] run give @s blaze_rod{HideFlags:1,display:{Name:"{\"text\":\"§bHot Rod\"}",Lore:["§fAncient Human Artifact","","§7The humans used these for transportation","§7and motorsports."]},Enchantments:[{id:"minecraft:infinity",lvl:1}]} 1
execute as @a[nbt={Inventory:[{id:"minecraft:blaze_powder"}]}] run clear @s blaze_powder

# Update the dialogue of the entrance npc depending on how many artifacts have been found
execute if entity @s[scores={C_ARTIFACT=1..6}] run data merge entity @e[type=armor_stand,x=-50,y=66,z=90,dx=1,dy=1,dz=1,limit=1] {CustomName:"{\"text\":\"The collection's starting to fill up!\",\"color\":\"aqua\"}"}
execute if entity @s[scores={C_ARTIFACT=7..11}] run data merge entity @e[type=armor_stand,x=-50,y=66,z=90,dx=1,dy=1,dz=1,limit=1] {CustomName:"{\"text\":\"The collection's nearly complete now!\",\"color\":\"aqua\"}"}
execute if entity @s[scores={C_ARTIFACT=12..13}] run data merge entity @e[type=armor_stand,x=-50,y=66,z=90,dx=1,dy=1,dz=1,limit=1] {CustomName:"{\"text\":\"Hooray! We can open the exhibit!!\",\"color\":\"aqua\"}"}

# If every artifact has been found, summon the reward!
execute if entity @s[scores={C_ARTIFACT=12}] run tellraw @a {"text":"[Curator] Thank you for bringing us all these artifacts. Here is your reward!","color":"aqua"}
execute if entity @s[scores={C_ARTIFACT=12..13}] run data merge entity @e[type=armor_stand,x=-65,y=66,z=89,dx=0,dy=1,dz=0,limit=1] {CustomName:"{\"text\":\"Thanks again for your generosity!\",\"color\":\"aqua\"}"}
execute if entity @s[scores={C_ARTIFACT=12}] run clone -67 65 88 -67 65 88 -66 66 88
execute if entity @s[scores={C_ARTIFACT=12}] run advancement grant @a only t:challenges/donor
execute if entity @s[scores={C_ARTIFACT=12}] run scoreboard players set @s C_ARTIFACT 13

